summaryrefslogtreecommitdiff
path: root/.github/workflows/ubuntu.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/ubuntu.sh')
-rwxr-xr-x.github/workflows/ubuntu.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/.github/workflows/ubuntu.sh b/.github/workflows/ubuntu.sh
new file mode 100755
index 0000000..fdff4aa
--- /dev/null
+++ b/.github/workflows/ubuntu.sh
@@ -0,0 +1,37 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Ubuntu
+requires=(
+ ccache # Use ccache to speed up build
+)
+
+requires+=(
+ autopoint
+ gettext
+ git
+ intltool
+ libglib2.0-dev
+ make
+ mate-common
+ yelp-tools
+)
+
+infobegin "Update system"
+apt-get update -y
+infoend
+
+infobegin "Install dependency packages"
+env DEBIAN_FRONTEND=noninteractive \
+ apt-get install --assume-yes \
+ ${requires[@]}
+infoend